#ifndef GetParameterDbDiagTroubleCode_H
#define GetParameterDbDiagTroubleCode_H

#include <Command.h>
namespace ProtoGenWrapper
{
	class DParameter;
}

namespace ProtoGenWrapper
{
	class GetParameterDbDiagTroubleCode:
		public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetParameterDbDiagTroubleCode(const DParameter& parameter);
		GetParameterDbDiagTroubleCode(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(DParameter& parameter) const;

		static int GetCommandType();
	};
}
#endif // GetParameterDbDiagTroubleCode_H
